curl --request GET \
--url https://int-api.mx.com/account/account_numbers \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://int-api.mx.com/account/account_numbers"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Bearer <token>'}
};
fetch('https://int-api.mx.com/account/account_numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_numbers": [
{
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
"account_number": 6366816006,
"guid": "ACN-68c0b681-78c2-4731-9b41-d6e8ae2846cf",
"institution_number": null,
"loan_guarantor": null,
"loan_reference_number": null,
"passed_validation": true,
"routing_number": 242564563,
"sequence_number": null,
"transit_number": null
}
]
}Request an account number (Processors Only)
Get account information such as routing number and account number, scoped to your access token.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
MX Platform API version.
"v20250224"
Response
OK
Hide child attributes
Hide child attributes
The unique identifier for an account. Defined by MX.
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The unique identifier for the member. Defined by MX.
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"
The banking account number associated with a particular account.
6366816006
The unique identifier for the account number. Defined by MX.
"ACN-68c0b681-78c2-4731-9b41-d6e8ae2846cf"
The three-digit number identifying a Canadian banking institution.
null
The guarantor of the student loan.
null
The reference number for the student loan.
null
Indicates whether the account number has passed validation.
true
The routing number for the account.
242564563
The sequence number for the account.
null
The five-digit number identifying the branch of a Canadian financial institution.
null

